Bug 186275 - Bad "outdated-by" links in rhn (RHSA) errata pages
Bad "outdated-by" links in rhn (RHSA) errata pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Ken Ganong
http://rhn.redhat.com/errata/RHSA-200...
: Security
Depends On:
Blocks: 171832
  Show dependency treegraph
 
Reported: 2006-03-22 12:19 EST by David Eisenstein
Modified: 2007-04-18 13:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 20:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Eisenstein 2006-03-22 12:19:08 EST
Description of problem:
In older RHSA web-pages at <http://rhn.redhat.com/errata/> the "File
outdated by:" link is generated incorrectly for 2006 RHSA's.  It appears
that for 2006 RHSA's the sequence number of the Alert was increased from 3
digits to four, zero-filled.  It looks like the programming that creates
those "File outdated by:" links is still expecting 3-digits.

For example, in <http://rhn.redhat.com/errata/RHSA-2005-769.html>, a
critical mozilla security update, all the links "File outdated by:  
RHSA-2006:0199" (another critical mozilla security update) point to this
URL:
   <http://rhn.redhat.com/errata/RHSA-2006-019.html9>
when they should be pointing to:
   <http://rhn.redhat.com/errata/RHSA-2006-0199.html>.

This can be a problem for end-users who do not know how URL's work.

Version-Release number of selected component (if applicable):
??


Steps to Reproduce:
1.  Go to URL:
   <http://rhn.redhat.com/errata/RHSA-2005-769.html>
2.  Click on a "File outdated by:  RHSA-2006:0199" link

  
Actual results:
Goes to an error page.

Expected results:
Should go to <http://rhn.redhat.com/errata/RHSA-2006-0199.html>

Additional info:  None.
Comment 1 Mark J. Cox (Product Security) 2006-03-24 05:34:42 EST
Hi David, this is a known problem and will be corrected in the next update to
the Red Hat Network.
Comment 2 David Eisenstein 2006-05-26 09:42:13 EDT
I see this is still a problem.  Ping?
Comment 3 Bret McMillan 2006-05-26 09:53:59 EDT
It's in the qa environment awaiting the next push.
Comment 4 Todd Sanders 2006-06-07 13:23:55 EDT
Reassigned QA responsibility to Ken
Comment 5 Ken Ganong 2006-06-07 13:42:29 EDT
Looks good on qa for both three and four digit links.
Comment 6 Beth Nackashi 2006-07-19 20:08:13 EDT
closing - currentrelease
Comment 7 Mark J. Cox (Product Security) 2006-07-20 06:11:40 EDT
looks good to me on live too, thanks!

Note You need to log in before you can comment on or make changes to this bug.